'use strict';

var _ = require('./');

var _getLast10RankedMatchesEfficiently = require('./examples/async.await/v4/get-last-10-ranked-matches-efficiently');

var _getLast10RankedMatchesEfficiently2 = _interopRequireDefault(_getLast10RankedMatchesEfficiently);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

/*
const redisCache = new RedisCache({
    host: 'localhost',
    port: 5000,
    keyPrefix: 'kayn',
});
*/

const myCache = new _.LRUCache({ max: 5 });

const kayn = (0, _.Kayn)()({
    region: 'na',
    debugOptions: {
        isEnabled: true,
        showKey: false
    },
    requestOptions: {
        shouldRetry: true,
        numberOfRetriesBeforeAbort: 3,
        delayBeforeRetry: 1000,
        burst: false,
        shouldExitOn403: false
    }
});

const doIt = (() => {
    var _ref = _asyncToGenerator(function* () {
        console.log('doit');
        try {
            console.time('kayn');
            const kalane = yield kayn.Summoner.by.name('Santorin').region(_.REGIONS.NORTH_AMERICA);
            const { matches } = yield kayn.Matchlist.by.accountID(kalane.accountId);
            const gameIds = matches.slice(0, 10).map(function ({ gameId }) {
                return gameId;
            });
            const requests = gameIds.map(kayn.Match.get);
            const results = yield Promise.all(requests);
            console.timeEnd('kayn');
        } catch (error) {
            console.log(error);
        }
    });

    return function doIt() {
        return _ref.apply(this, arguments);
    };
})();

const main = (() => {
    var _ref2 = _asyncToGenerator(function* () {
        yield doIt();
        yield doIt();
    });

    return function main() {
        return _ref2.apply(this, arguments);
    };
})();

main();
